<?php
/**
 * BookiFlex Core
 *
 * @package    BookiFlex
 * @subpackage Core
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */


declare(strict_types=1);
namespace BookiFlex\Core\Model\AccommodationType\Guest;

defined( 'ABSPATH' ) || exit;

/**
 * Base guest type
 */
abstract class GuestType
{
    abstract public function getTypeKey(): string;
    abstract public function getVariantKey(): string;
    abstract public function matches(GuestType $other): bool;
}
